%global pypi_name RPi.GPIO2
%global extraver a3

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        1%{?extraver:.%extraver}%{?dist}
Summary:        A libgpiod compatibility layer for the RPi.GPIO API

License:        GPLv3+
URL:            https://pypi.org/project/RPi.GPIO2/
Source0:        https://github.com/underground-software/%{pypi_name}/archive/v%{version}a3/%{pypi_name}-%{version}%{?extraver}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description
This library implements a compatibility layer between RPi.GPIO syntax and
libgpiod semantics, allowing a fedora user on the Raspberry Pi platform to
use the popular RPi.GPIO API, the original implementation of which depends
on features provided by a non-mainline kernel.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires: python3-libgpiod >= 1.5

%description -n python3-%{pypi_name}
This library implements a compatibility layer between RPi.GPIO syntax and
libgpiod semantics, allowing a fedora user on the Raspberry Pi platform to
use the popular RPi.GPIO API, the original implementation of which depends
on features provided by a non-mainline kernel.

%package -n     python3-%{pypi_name}-doc
Summary:        Examples for python-rpi-gpio2

%description -n python3-%{pypi_name}-doc
A set of examples for python3-%{pypi_name}


%prep
%autosetup -n %{pypi_name}-%{version}%{?extraver}
rm -rf %{pypi_name}.egg-info

# Make sure scripts in the examples directory aren't executable
chmod 0644 examples/*


%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/tests
mkdir -p %{buildroot}%{_pkgdocdir}
cp -r %{buildroot}%{python3_sitelib}/examples %{buildroot}%{_pkgdocdir}
rm -rf %{buildroot}%{python3_sitelib}/examples

# udev rule for group access
mkdir -p %{buildroot}%{_usr}/lib/udev/rules.d/
cat << 'EOF' >%{buildroot}%{_usr}/lib/udev/rules.d/40-gpio.rules
# GPIO pin access for group 'gpio'. Add users as needed.
SUBSYSTEM=="gpio", KERNEL=="gpiochip*", MODE="660", GROUP="gpio"
EOF

%pre -n python3-%{pypi_name}
getent group gpio >/dev/null 2>&1 || groupadd -r gpio 2>&1 || :

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%attr(644,root,root) %{_usr}/lib/udev/rules.d/40-gpio.rules
%{python3_sitelib}/RPi
%{python3_sitelib}/%{pypi_name}-%{version}a3-py*egg-info

%files -n python3-%{pypi_name}-doc
%license LICENSE.txt
%{_pkgdocdir}/examples

%changelog
* Wed Aug 11 2021 Greg Wildman <greg@techfu.co.za> - 0.3.0-1.a3
- initial package

